Debian Bug report logs - #606882
RFP: snaphu -- Statistical-Cost, Netowrk-Flow Algorithm for Phase Unwrapping

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Antonio Valentino <antonio.valentino@tiscali.it>

Date: Sun, 12 Dec 2010 17:39:01 UTC

Severity: wishlist

Fixed in version snaphu/1.4.2-1

Done: Antonio Valentino <antonio.valentino@tiscali.it>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#606882; Package wnpp. (Sun, 12 Dec 2010 17:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antonio Valentino <antonio.valentino@tiscali.it>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Sun, 12 Dec 2010 17:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Antonio Valentino <antonio.valentino@tiscali.it>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: snaphu -- Statistical-Cost, Netowrk-Flow Algorithm for Phase Unwrapping
Date: Sun, 12 Dec 2010 18:33:47 +0100
Package: wnpp
Severity: wishlist
Owner: Antonio Valentino <antonio.valentino@tiscali.it>


* Package name    : snaphu
  Version         : 1.4.2
  Upstream Author : Curtis W. Chen
* URL             : http://www-star.stanford.edu/sar_group/snaphu
* License         : non-free (free for non-commercial applications)
  Programming Lang: C
  Description     : Statistical-Cost, Netowrk-Flow Algorithm for Phase Unwrapping

Two-dimensional phase unwrapping is the process of recovering
unambiguous phase data from a 2-D array of phase values known only
modulo 2pi rad.

SNAPHU is an implementation of the Statistical-cost, Network-flow
Algorithm for Phase Unwrapping proposed by Chen and Zebker. This
algorithm poses phase unwrapping as a maximum a posteriori probability
(MAP) estimation problem, the objective of which is to compute the most
likely unwrapped solution given the observable input data. Because the
statistics relating the input data to the solution depend on the
measured quantity, SNAPHU incorporates three built-in statistical
models, for topography data, deformation data, and smooth generic data.
The posed optimization problem is solved approximately with use of
network-flow techniques.

SNAPHU always produces complete unwrapped solutions, and, in our tests,
its accuracy is comparable to or better than that of other available
algorithms. As SNAPHU uses an iterative optimization procedure, its
execution time depends on the difficulty of the interferogram. In
single-tile mode the required memory is on the order of 100 MB per
1,000,000 pixels in the input interferogram.

The software is written in C and should run on most Unix/Linux
platforms. It is freely available to the public, subject to the
conditions outlined in the README file included with the distribution.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Antonio Valentino <antonio.valentino@tiscali.it>:
Bug#606882; Package wnpp. (Wed, 27 Jul 2011 16:37:32 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Antonio Valentino <antonio.valentino@tiscali.it>. (Wed, 27 Jul 2011 16:37:32 GMT) Full text and rfc822 format available.

Message #10 received at 606882@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 606882@bugs.debian.org
Cc: control@bugs.debian.org
Subject: snaphu: changing back from ITP to RFP
Date: Wed, 27 Jul 2011 18:02:34 +0200
retitle 606882 RFP: snaphu -- Statistical-Cost, Netowrk-Flow Algorithm for Phase Unwrapping
noowner 606882
thanks

Hi,

This is an automatic email to change the status of snaphu back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting snaphu, please send a mail to
<control@bugs.debian.org> with:

 retitle 606882 ITP: snaphu -- Statistical-Cost, Netowrk-Flow Algorithm for Phase Unwrapping
 owner 606882 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <606882@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: snaphu -- Statistical-Cost, Netowrk-Flow Algorithm for Phase Unwrapping' from 'ITP: snaphu -- Statistical-Cost, Netowrk-Flow Algorithm for Phase Unwrapping' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:47:43 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Antonio Valentino <antonio.valentino@tiscali.it>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:47:44 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 16 Jan 2013 19:06:05 GMT) Full text and rfc822 format available.

Reply sent to Antonio Valentino <antonio.valentino@tiscali.it>:
You have taken responsibility. (Fri, 05 Apr 2013 10:03:12 GMT) Full text and rfc822 format available.

Notification sent to Antonio Valentino <antonio.valentino@tiscali.it>:
Bug acknowledged by developer. (Fri, 05 Apr 2013 10:03:12 GMT) Full text and rfc822 format available.

Message #21 received at 606882-close@bugs.debian.org (full text, mbox):

From: Antonio Valentino <antonio.valentino@tiscali.it>
To: 606882-close@bugs.debian.org
Subject: Bug#606882: fixed in snaphu 1.4.2-1
Date: Fri, 05 Apr 2013 10:00:06 +0000
Source: snaphu
Source-Version: 1.4.2-1

We believe that the bug you reported is fixed in the latest version of
snaphu, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 606882@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Antonio Valentino <antonio.valentino@tiscali.it> (supplier of updated snaphu package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 27 Dec 2012 10:45:54 +0000
Source: snaphu
Binary: snaphu
Architecture: source i386
Version: 1.4.2-1
Distribution: unstable
Urgency: low
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Changed-By: Antonio Valentino <antonio.valentino@tiscali.it>
Description: 
 snaphu     - Statistical-Cost, Netowrk-Flow Algorithm for 2D Phase Unwrapping
Closes: 606882
Changes: 
 snaphu (1.4.2-1) unstable; urgency=low
 .
   * Initial release (Closes: #606882)
Checksums-Sha1: 
 857ab54f9287eab24b65b8c1fbe325954fac58e7 1274 snaphu_1.4.2-1.dsc
 aac67cc4940e23fea6d56f2f03d7cb887588a63a 138637 snaphu_1.4.2.orig.tar.gz
 a263bd8178215684a1ed1108603702beed06bece 6776 snaphu_1.4.2-1.debian.tar.gz
 99c207c497d9f4f20b8ce2e1a0b4cc2bdee7bdd2 141690 snaphu_1.4.2-1_i386.deb
Checksums-Sha256: 
 2f6720371e15a6347cae929e23d8b58f6b0fe1276ffdbbe7b2026496a4c9e851 1274 snaphu_1.4.2-1.dsc
 ca0af86f7b3e3aba64941979e80ddb25baf7820bfdd72c0fc07e8e4a9584a67d 138637 snaphu_1.4.2.orig.tar.gz
 e7aa676fe4c815b4a4a1967dccfb06af15d823d28b1249927e08e5cb0510e0c7 6776 snaphu_1.4.2-1.debian.tar.gz
 bfab9eb31fc644a944e4481303f4acf1f38ae222d4feef00684d643cf7022de4 141690 snaphu_1.4.2-1_i386.deb
Files: 
 49a8d3fef477f460324846d009b346fb 1274 non-free/science optional snaphu_1.4.2-1.dsc
 fe91d124c7706a9303c07fb4abbddb0c 138637 non-free/science optional snaphu_1.4.2.orig.tar.gz
 913c9e97b503096b3a5673abb66e86f6 6776 non-free/science optional snaphu_1.4.2-1.debian.tar.gz
 35e3e31441fc92f1ac2b6b91fd781507 141690 non-free/science optional snaphu_1.4.2-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlD2qD4ACgkQpFNRmenyx0cghQCgszJ160+NbL8mWjxmwnMrXZqx
7f4An1ZXMH3sJsqtny9MzQWttIjP2sPz
=03zY
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 04 May 2013 07:31:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 08:27:07 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.